
From: Hirokazu Takata <takata@linux-m32r.org>

This patch is for updating m32r's MMU-less support.

	* arch/m32r/kernel/entry.s:
	- Fix syscall table for !CONFIG_MMU

	* arch/m32r/kernel/traps.c:
	- Fix EIT vector setup routine for !CONFIG_MMU

Signed-off-by: Naoto Sugai <sugai@isl.melco.co.jp>
Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m32r/kernel/entry.S |   21 +++++++++++----------
 25-akpm/arch/m32r/kernel/traps.c |    2 ++
 2 files changed, 13 insertions(+), 10 deletions(-)

diff -puN arch/m32r/kernel/entry.S~m32r-update-mmu-less-support-1 arch/m32r/kernel/entry.S
--- 25/arch/m32r/kernel/entry.S~m32r-update-mmu-less-support-1	2005-03-23 18:33:40.000000000 -0800
+++ 25-akpm/arch/m32r/kernel/entry.S	2005-03-23 18:33:40.000000000 -0800
@@ -69,16 +69,17 @@
 #include <asm/mmu_context.h>
 
 #if !defined(CONFIG_MMU)
-#define sys_madvise             sys_ni_syscall
-#define sys_readahead           sys_ni_syscall
-#define sys_mprotect            sys_ni_syscall
-#define sys_msync               sys_ni_syscall
-#define sys_mlock               sys_ni_syscall
-#define sys_munlock             sys_ni_syscall
-#define sys_mlockall            sys_ni_syscall
-#define sys_munlockall          sys_ni_syscall
-#define sys_mremap              sys_ni_syscall
-#define sys_mincore             sys_ni_syscall
+#define sys_madvise		sys_ni_syscall
+#define sys_readahead		sys_ni_syscall
+#define sys_mprotect		sys_ni_syscall
+#define sys_msync		sys_ni_syscall
+#define sys_mlock		sys_ni_syscall
+#define sys_munlock		sys_ni_syscall
+#define sys_mlockall		sys_ni_syscall
+#define sys_munlockall		sys_ni_syscall
+#define sys_mremap		sys_ni_syscall
+#define sys_mincore		sys_ni_syscall
+#define sys_remap_file_pages	sys_ni_syscall
 #endif /* CONFIG_MMU */
 
 #define R4(reg)			@reg
diff -puN arch/m32r/kernel/traps.c~m32r-update-mmu-less-support-1 arch/m32r/kernel/traps.c
--- 25/arch/m32r/kernel/traps.c~m32r-update-mmu-less-support-1	2005-03-23 18:33:40.000000000 -0800
+++ 25-akpm/arch/m32r/kernel/traps.c	2005-03-23 18:33:40.000000000 -0800
@@ -95,8 +95,10 @@ void	set_eit_vector_entries(void)
 	eit_vector[31] = 0xff000000UL;
 	eit_vector[32] = BRA_INSN(ei_handler, 32);
 	eit_vector[64] = BRA_INSN(pie_handler, 64);
+#ifdef CONFIG_MMU
 	eit_vector[68] = BRA_INSN(ace_handler, 68);
 	eit_vector[72] = BRA_INSN(tme_handler, 72);
+#endif /* CONFIG_MMU */
 #ifdef CONFIG_SMP
 	eit_vector[184] = (unsigned long)smp_reschedule_interrupt;
 	eit_vector[185] = (unsigned long)smp_invalidate_interrupt;
_
